
/******************************************************************************
 * @file      main.c
 * @brief     TaskEntry
 * @version   V1.0.0
 * @remark    
 * @date      20250209
 * @copyright    
 ******************************************************************************/
#include "task_register.h"
extern task_array_t poll_1ms_task;

int main()
{
  __disable_irq();
	
  KIT_DEBUG_PRINTF("bcu start \r\n");
  drv_clk_set_system_tick(APP_CFG_INT_PRIO_SYSTICK, 1, ucos_irq_handler);
  OS_TRACE_INIT();   

  //系统初始化
  OSInit();
  bsp_create_task(&poll_1ms_task, (uint8_t *)"1ms");
  OSStart();

  return 1;
}

